Package org.globus.util.http

# Class HttpResponse

java.lang.Object
org.globus.util.http.HttpResponse

Direct Known Subclasses:
  `GatekeeperReply`

public class HttpResponse extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected long`
`charsRead`
`boolean`
`chunked`
`String`
`connection`
`long`
`contentLength`
`String`
`contentType`
`int`
`httpCode`
`String`
`httpMsg`
`String`
`httpType`
`protected InputStream`
`input`
`String`
`location`
`String`
`server`

## Constructor Summary

Constructors
Constructor
Description
`HttpResponse(InputStream in)`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getRest(String line)`
`void`
`parseHttp(String line)`
`protected String`
`readLine(InputStream in)`
Read a line of text from the given Stream and return it as a String.
`String`
`toString()`
Generates a string representation of the http header

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### input

protected InputStream input

### charsRead

protected long charsRead

### httpType

public String httpType

### httpMsg

public String httpMsg

### httpCode

public int httpCode

### contentLength

public long contentLength

### connection

public String connection

### contentType

public String contentType

### server

public String server

### chunked

public boolean chunked

### location

public String location

## Constructor Details

### HttpResponse

public HttpResponse(InputStream in) throws IOException

Throws:
  `IOException`

## Method Details

### readLine

protected String readLine(InputStream in) throws IOException
Read a line of text from the given Stream and return it as a String. Assumes lines end in CRLF.

Throws:
  `IOException`

### getRest

public static String getRest(String line)

### parseHttp

public void parseHttp(String line)

### toString

public String toString()
Generates a string representation of the http header

Overrides:
  `toString` in class `Object`
Returns:
  `String` a string representation of the http header